Holger's Java API

## com.antelmann.util.logging
Interface LogEntryFormatter<T>

All Known Implementing Classes:
  BinaryLogFormatter, DBLineLogFormatter, StringLineFormatter, XMLLogFormatter

    public interface LogEntryFormatter<T>

allows for several LogWriters to share the same formatting

Author:
  Holger Antelmann
See Also:
  `AbstractLogWriter`, `LoggerManager.toFormatter(com.antelmann.util.PatternExtractor)`

Method Summary
`T` `formatLogEntry(LogEntry entry)`

Method Detail

### formatLogEntry

    T formatLogEntry(LogEntry entry)
                     throws LogException

  Throws:
    `LogException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads